body {
  overflow: hidden !important;
}

.nav-item.active {
  color: #05d54b;
  border-top-color: #05d54b;
  background: linear-gradient(to bottom, rgba(5, 213, 75, 0.08), transparent);
  transition: all 0.3s ease;
}


.swal2-popup .swal2-styled:focus {
  box-shadow: none !important;
  outline: none !important;
}


.bg-app-primary:focus {
  outline: none !important;
  box-shadow: none !important;
}

.swal2-html-container {
  user-select: none;
}

@keyframes mega-shine {
  0% {
    left: -100%;
    opacity: 0;
  }

  30% {
    opacity: 1;
  }

  60% {
    left: 100%;
    opacity: 0;
  }

  100% {
    left: 100%;
    opacity: 0;
  }
}

.btn-gamer {
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease;
}


.btn-gamer::after {
  content: "";
  position: absolute;
  top: -50%;
  left: -100%;
  width: 40%;
  height: 200%;
  background: linear-gradient(to right, transparent, rgba(255, 255, 255, 0.8), transparent);
  transform: rotate(30deg);
  animation: mega-shine 2.5s infinite;
}

.glow-green {
  box-shadow: 0 0 12px rgba(5, 213, 75, 0.5), 0 4px 0px #04a33a;
}

.glow-green:hover {
  box-shadow: 0 0 20px rgba(5, 213, 75, 0.8), 0 4px 0px #04a33a;
}

.glow-red {
  box-shadow: 0 0 12px rgba(255, 0, 0, 0.5), 0 4px 0px #b30000;
}

.glow-red:hover {
  box-shadow: 0 0 20px rgba(255, 0, 0, 0.8), 0 4px 0px #b30000;
}

@keyframes mega-shine {
  0% {
    left: -100%;
    opacity: 0;
  }

  30% {
    opacity: 1;
  }

  60% {
    left: 100%;
    opacity: 0;
  }

  100% {
    left: 100%;
    opacity: 0;
  }
}

.btn-gamer {
  position: relative;
  overflow: hidden;
}

.btn-gamer::after {
  content: "";
  position: absolute;
  top: -50%;
  left: -100%;
  width: 40%;
  height: 200%;
  background: linear-gradient(to right, transparent, rgba(255, 255, 255, 0.8), transparent);
  transform: rotate(30deg);
  animation: mega-shine 2.5s infinite;
}

.glow-green-swal {
  box-shadow: 0 0 15px rgba(5, 213, 75, 0.6) !important;
}

body.swal2-shown {
  height: 100dvh !important;
  overflow: hidden !important;
}

.swal2-styled.swal2-confirm:focus,
.swal2-styled.swal2-confirm:active,
.swal2-styled.swal2-confirm:hover {

  background-color: #05d54b !important;
  background-image: none !important;
  outline: none !important;
  box-shadow: 0 0 12px rgba(5, 213, 75, 0.5), 0 4px 0px #04a33a !important;
}


.btn-gamer:active {
  background-color: #05d54b !important;
  transform: translateY(2px) !important;
}